/*
 * @author dx
 * @date   2019-09-17
 **/
import 'package:gmalpha_flutter/WebModel/service/remote/api/ActivityReportApi.serv.dart';
import 'package:gmalpha_flutter/WebModel/service/remote/entity/ActivityReportEntity.dart';
import 'package:rxdart/rxdart.dart';

class ActivityReportRemote {
  static ActivityReportRemote _userRemote;

  ActivityReportRemote._() {}

  static ActivityReportRemote getInstance() {
    if (_userRemote == null) {
      _userRemote = new ActivityReportRemote._();
    }
    return _userRemote;
  }

  Observable<ActivityReportEntity> getActivityReport(int id, int type) {
    return ActivityReportApiImpl().getActivityReport(id, type);
  }
}
